Loading...
Searching...
No Matches
pausemanager.h File Reference

Management of pause modes. More...

`#include "common/make_unique.h"`
`#include <string>`
`#include <vector>`
`#include <memory>`
Include dependency graph for pausemanager.h:

## Classes

class | CPauseManager

## Enumerations

enum | PauseType { PAUSE_NONE = 0 , PAUSE_ENGINE = (1<<0) , PAUSE_HIDE_SHORTCUTS = (1<<1) , PAUSE_PHOTO = (1<<2) , PAUSE_OBJECT_UPDATES = (1<<3) , PAUSE_MUTE_SOUND = (1<<4) , PAUSE_CAMERA = (1<<5) }
enum | PauseMusic { PAUSE_MUSIC_NONE = 0 , PAUSE_MUSIC_EDITOR = 1 , PAUSE_MUSIC_SATCOM = 2 }

## Functions

PauseType & | operator|= (PauseType &a, const PauseType &b)
PauseType | operator| (PauseType a, const PauseType &b)
PauseType & | operator&= (PauseType &a, const PauseType &b)
PauseType | operator& (PauseType a, const PauseType &b)

## Detailed Description

Management of pause modes.

## Enumeration Type Documentation

## PauseType

enum PauseType

Enumerator
PAUSE_ENGINE | pause all the CEngine classes
PAUSE_HIDE_SHORTCUTS | hide the shortcuts
PAUSE_PHOTO | photo mode, TODO: remove
PAUSE_OBJECT_UPDATES | do not send events to objects
PAUSE_MUTE_SOUND | mute sound
PAUSE_CAMERA | freeze camera